/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.contabilidad.FacadeConta;

import com.contabilidad.EntConta.PagoTemporales;
import java.util.List;
import javax.ejb.Local;

/**
 *
 * @author obper
 */
@Local
public interface PagoTemporalesFacadeLocal {

    void create(PagoTemporales pagoTemporales);

    void edit(PagoTemporales pagoTemporales);

    void remove(PagoTemporales pagoTemporales);

    PagoTemporales find(Object id);

    List<PagoTemporales> findAll();

    List<PagoTemporales> findRange(int[] range);

    int count();

    void elimiminarPago(String idPAgo);

    List<PagoTemporales> horasPorSucursal(String sucursal);
    
}
